# Method: labels.locks.list

- [HTTP request](https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/labels.locks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/labels.locks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/labels.locks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/labels.locks/list#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/labels.locks/list#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/labels.locks/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/labels.locks/list#try-it)

Lists the LabelLocks on a Label.

### HTTP request

`GET https://drivelabels.googleapis.com/v2beta/{parent=labels/*}/locks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Label on which Locks are applied. Format: labels/{label} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of Locks to return per page. Default: 100. Max: 200. |
| `pageToken` | `string` The token of the page to return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/labels/reference/rest/v2beta/ListLabelLocksResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive.labels`
- `
  https://www.googleapis.com/auth/drive.labels.readonly`
- `
  https://www.googleapis.com/auth/drive.admin.labels`
- `
  https://www.googleapis.com/auth/drive.admin.labels.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).